## Name

DROP LANGUAGE — remove a procedural language

## Synopsis

    DROP [ PROCEDURAL ] LANGUAGE name [ CASCADE | RESTRICT ]

## Description

`DROP LANGUAGE` will remove the definition of the previously registered procedural language called `name`.

## Parameters

`name`

  The name of an existing procedural language. For backward compatibility, the name may be enclosed by single quotes.

`CASCADE`

  Automatically drop objects that depend on the language (such as functions in the language).

`RESTRICT`

  Refuse to drop the language if any objects depend on it. This is the default.

## Examples

This command removes the procedural language `plsample`:

    DROP LANGUAGE plsample;

## Compatibility

There is no `DROP LANGUAGE` statement in the SQL standard.

## See Also

ALTER LANGUAGE, CREATE LANGUAGE, droplang